Product comparison · 2 network switches

Allied Telesis AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey vs Allied Telesis AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey

Add a product
  • 48specifications compared
  • 7differ
  • 41identical
  • 13known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:24
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:52
  • Fast Ethernet (copper) ports quantity
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:24
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:48
  • MAC address table
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:8000 entries
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:16000 entries
  • Switching capacity
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:12.8 Gbit/s
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
  • Power consumption (max)
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:241 W
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:13.25 W
  • Depth
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:210 mm
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:250 mm
  • Weight
    • AT-FS750/28PS-50 Managed Fast Ethernet (10/100) Power over Ethernet (PoE) 1U Grey:5 kg
    • AT-FS750/52-50 Managed Fast Ethernet (10/100) 1U Grey:3 kg

Side by side

Differences highlightedShow differences only (off)
Comparison of AT-FS750/28PS-50, AT-FS750/52-50
61 specifications
Management featuresidentical
Switch typeManagedManaged
Quality of Service (QoS) supportYesYes
Web-based managementYesYes
System event logYesYes
MIB supportRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIB
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2452
Basic switching RJ-45 Ethernet ports typeFast Ethernet (10/100)Fast Ethernet (10/100)
Fast Ethernet (copper) ports quantityDiffers2448
Gigabit Ethernet (copper) ports quantity22
Installed SFP modules quantity00
Installed SFP+ modules quantity00
Combo SFP ports quantity22
Networkidentical
Networking standardsIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNoNo
Port mirroringYesYes
Broadcast storm controlYesYes
Flow control supportYesYes
Head-of-line (HOL) blockingYesYes
Link aggregationYesYes
Rate limitingYesYes
Spanning tree protocolYesYes
VLAN supportKnown for oneYesUnknown — not stated by the source
Virtual LAN featuresTagged VLAN, Port-based VLANTagged VLAN, Port-based VLAN
Number of VLANsKnown for one256Unknown — not stated by the source
Data transmission2 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers12.8 Gbit/s17.6 Gbit/s
ThroughputKnown for one9.5 MppsUnknown — not stated by the source
Number of queues44
Jumbo frames supportYesYes
Packet forwarding rate (1 Gbps)1488000 pps1488000 pps
Packet forwarding rate (10 Mbps)14880 pps14880 pps
Packet forwarding rate (100 Mbps)148800 pps148800 pps
Packet buffer memoryKnown for one4.1 MBUnknown — not stated by the source
Securityidentical
DHCP featuresDHCP clientDHCP client
Access Control List (ACL)YesYes
IGMP snoopingYesYes
AuthenticationMAC-based authenticationMAC-based authentication
MAC address filteringYesYes
Multicast featuresidentical
Multicast supportYesYes
Number of multicast groups filtered256256
Designidentical
Rack mountingYesYes
Form factor1U1U
Product colourGreyGrey
Power1 differ
Power sourceKnown for oneACUnknown — not stated by the source
AC input voltage100 - 240 V100 - 240 V
AC input frequency50 - 60 Hz50 - 60 Hz
Power consumption (max)Differs241 W13.25 W
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)Known for oneYesUnknown — not stated by the source
Power over Ethernet (PoE) ports quantityKnown for one24Unknown — not stated by the source
Power over Ethernet plus (PoE+) ports quantityKnown for one4Unknown — not stated by the source
Total Power over Ethernet (PoE) budgetKnown for one193 WUnknown — not stated by the source
Operational conditionsidentical
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Storage temperature (T-T)Known for one5 - 90 °CUnknown — not stated by the source
Operating relative humidity (H-H)Known for one-25 - 70%Unknown — not stated by the source
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions2 differ
Width410 mm410 mm
DepthDiffers210 mm250 mm
Height44 mm44 mm
WeightDiffers5 kg3 kg
Packaging contentidentical
Cables includedACAC
Logistics dataidentical
Harmonized System (HS) codeKnown for one85176990Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons